# Enum ElementType

java.lang.Object
java.lang.Enum<ElementType>
java.lang.annotation.ElementType

All Implemented Interfaces:
  `Comparable<ElementType>`

public enum ElementType extends Enum<ElementType>
A mirror of java.lang.annotation.ElementType.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANNOTATION_TYPE`
  `CONSTRUCTOR`
  `FIELD`
  `LOCAL_VARIABLE`
  `METHOD`
  `PACKAGE`
  `PARAMETER`
  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ElementType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ElementType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANNOTATION_TYPE

    public static final ElementType ANNOTATION_TYPE

  - ### CONSTRUCTOR

    public static final ElementType CONSTRUCTOR

  - ### FIELD

    public static final ElementType FIELD

  - ### LOCAL_VARIABLE

    public static final ElementType LOCAL_VARIABLE

  - ### METHOD

    public static final ElementType METHOD

  - ### PACKAGE

    public static final ElementType PACKAGE

  - ### PARAMETER

    public static final ElementType PARAMETER

  - ### TYPE

    public static final ElementType TYPE

- ## Method Details

  - ### values

    public static ElementType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ElementType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null